Subject: draft-kompella-tewg-bw-acct-00.txt

From: [email-masked]
Date: Mon, 19 Nov 2001 12:09:39 +0100

Hi,

I have a couple of small questions/remarks on the BWACCT draft.

1. Paragraph 4.2 states "Note: if preemption is not allowed, there is no value whatsoever in having 8 bandwidth values; priorities become irrelevant." I wonder if this should be "if preemption is not allowed during setup ..."  In this case preemption can
still occur but only when protection traffic preempts primary traffic in case of a failure.

2. I am unsure about the meaning of reserved bandwidth. Is it the sum of all reserved BW signalled during LSP setup (e.g. with RSVP)? Then I think the following should be considered:
  - The value of reserved BW has a serious impact on the performance and path selection of the CBR algorithm. Therefore, it is important to know if this is peak BW or average BW. If it is peak bandwidth, you will get many (unnecessary) blocking or
preemption. If it is average you can get unexpected packet loss. I think in the interest of interoperability, the bandwidth semantics should be unambiguously defined.
  - What about LSPs signalled with zero BW (e.g. for protection traffic). Will they always follow the shortest path, even when no resources are available there?

3. Regarding the example in section 5: Is it realistic that a single LSP occupies this much capacity on a link? Then surely you won't have very many LSPs in the network unless you have many small ones and some very large ones. In this case, I wonder if all
of them would be set up dynamically, or only the small ones. On the other hand, if the bandwidth of an LSP is (much) smaller compared to the link bandwidth then the argument that the updated unreservable bandwidth can only be computed by the nodes attached
to a link becomes less important because the relative change will be much smaller.

4. (paragraph 6.2) I think cross-class preemption may be desirable for protection traffic.

5. Paragraph 7 discusses normalized maximum bandwidth per class and the creation of logical overlay topologies. I am not sure if creating many logical overlays will not cause a significant reduction in network efficiency.

If my comments/questions are not relevant or answered elsewhere please point my to the right documents.

Regards,
Sven.